<?php
/**
 * Plugin CKEditor
 *
 * @package	PLX
 * @version	1.1
 * @date	31/03/2011
 * @author	Stephane F
 **/
class ckeditor extends plxPlugin {

	/**
	 * Constructeur de la classe ckeditor
	 *
	 * @param	default_lang	langue par dfaut utilise par PluXml
	 * @return	null
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# droits pour accder  la page config.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);

		# Dclarations des hooks
		$this->addHook('AdminTopEndHead', 'AdminTopEndHead');
		$this->addHook('AdminFootEndBody', 'AdminFootEndBody');

		$this->addHook('plxAdminEditArticle', 'plxAdminEditArticle');
		$this->addHook('AdminArticleTop', 'AdminArticleTop');
	
	}

	/**
	 * Mthode qui convertit les liens absolus en liens relatifs pour les images et les documents
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function plxAdminEditArticle() {
		echo "<?php \$content['chapo'] = str_replace(\$this->racine.\$this->aConf['images'], \$this->aConf['images'], \$content['chapo']); ?>";
		echo "<?php \$content['content'] = str_replace(\$this->racine.\$this->aConf['images'], \$this->aConf['images'], \$content['content']); ?>";
		echo "<?php \$content['chapo'] = str_replace(\$this->racine.\$this->aConf['documents'], \$this->aConf['documents'], \$content['chapo']); ?>";
		echo "<?php \$content['content'] = str_replace(\$this->racine.\$this->aConf['documents'], \$this->aConf['documents'], \$content['content']); ?>";
		
	}

	/**
	 * Mthode qui convertit les liens relatifs en liens absolus pour les images et les documents
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function AdminArticleTop() {
		echo "<?php \$chapo = str_replace(\$plxAdmin->aConf['images'], \$plxAdmin->racine.\$plxAdmin->aConf['images'], \$chapo); ?>";
		echo "<?php \$content = str_replace(\$plxAdmin->aConf['images'], \$plxAdmin->racine.\$plxAdmin->aConf['images'], \$content); ?>";
		echo "<?php \$chapo = str_replace(\$plxAdmin->aConf['documents'], \$plxAdmin->racine.\$plxAdmin->aConf['documents'], \$chapo); ?>";
		echo "<?php \$content = str_replace(\$plxAdmin->aConf['documents'], \$plxAdmin->racine.\$plxAdmin->aConf['documents'], \$content); ?>";
	}

	/**
	 * Mthode du hook AdminTopEndHead
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function AdminTopEndHead() {
		echo "<?php \$_SESSION['ckeditor']['userfolders'] = \$plxAdmin->aConf['userfolders'] ? \$_SESSION['user'].'/' : ''; ?>";
		echo "<?php \$_SESSION['ckeditor']['racine'] = \$plxAdmin->aConf['racine']; ?>";
		echo "<?php \$_SESSION['ckeditor']['images'] = \$plxAdmin->aConf['images']; ?>";
		echo "<?php \$_SESSION['ckeditor']['documents'] = \$plxAdmin->aConf['documents']; ?>";
		echo '<script type="text/javascript" src="'.PLX_PLUGINS.'ckeditor/ckeditor/ckeditor.js"></script>'."\n";
	}

	/**
	 * Mthode du hook AdminFootEndBody
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function AdminFootEndBody() {?>

	<script type="text/javascript">
	<!--
	if(typeof CKEDITOR != 'undefined') {
		var textareas = document.getElementsByTagName("textarea");
		for(var i=0;i<textareas.length;i++) {
			CKEDITOR.replace('id_'+textareas[i].name, {
				width: '97%',
				language: '<?php echo $this->default_lang ?>',
				toolbar :
				[
					['Source','-','Undo','Redo','Cut','Copy','Paste','PasteText','PasteFromWord','-','Find','Replace','-','SelectAll','RemoveFormat'],
					['-','Table','HorizontalRule','Smiley','SpecialChar'],
					'/',
					['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
					['Bold','Italic','Underline','Strike','-','Link','Image','Flash','Unlink','Anchor','-','NumberedList','BulletedList','-','Outdent','Indent','-','Subscript','Superscript','Blockquote'],
					'/',
					['Format','Font','FontSize', 'TextColor','BGColor','-','Maximize', 'ShowBlocks']
				],
				// Link dialog, "Browse Server" button
				filebrowserBrowseUrl : '<?php echo PLX_PLUGINS ?>ckeditor/ckfinder/ckfinder.html',
				// Image dialog, "Browse Server" button
				filebrowserImageBrowseUrl : '<?php echo PLX_PLUGINS ?>ckeditor/ckfinder/ckfinder.html?type=Images',
				// Flash dialog, "Browse Server" button
				filebrowserFlashBrowseUrl : '<?php echo PLX_PLUGINS ?>ckeditor/ckfinder/ckfinder.html?type=Flash',
				// Upload tab in the Link dialog
				filebrowserUploadUrl : '<?php echo PLX_PLUGINS ?>ckeditor/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
				// Upload tab in the Image dialog
				filebrowserImageUploadUrl : '<?php echo PLX_PLUGINS ?>ckeditor/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
				// Upload tab in the Flash dialog
				filebrowserFlashUploadUrl : '<?php echo PLX_PLUGINS ?>ckeditor/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash',
				// Filebrowser width
				filebrowserWindowWidth : '1000',
				// Filebrowser height
				filebrowserWindowHeight : '700'
			});
		}
	}
	-->
	</script>

	<?php
	}
}
?>